PUT api/prospects/get/{start}/{length}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| start | string |
Required |
|
| length | string |
Required |
Body Parameters
ProspectSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Prospect | CampaignPreviewDto |
None. |
|
| Person | PersonSearchDto |
None. |
|
| Skip | integer |
None. |
|
| Take | integer |
None. |
|
| SortOrder | string |
None. |
|
| IsNotStopped | boolean |
None. |
|
| HasNoFailedTelephone | boolean |
None. |
|
| HasNoFailedEmail | boolean |
None. |
|
| OrFilters | Collection of globally unique identifier |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Campaigns | Collection of globally unique identifier |
None. |
|
| NotReceivedMarketingInDays | integer |
None. |
|
| NotPutOrderInDays | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"prospect": {
"campaignId": "db734a4b-717a-4212-a664-ae9a0ba144c9",
"toPersonIds": [
"1baeb2db-8a00-4cbe-84f8-a91e79dfd76c",
"b9efa85a-734b-4561-b605-62614977cde3"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"e04bf697-e7b9-4155-b87a-d4f1669ad878",
"b86c5b25-3681-4131-8961-eaa1086f45c2"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"87c63cf7-2b76-412c-8375-d2645739d9ca",
"effa3bd6-547b-4b17-89ff-4c0325aecefb"
],
"filterOrderOnCampaigns": [
"6ea9e1ef-ff2e-48e5-a477-8977ae215eb0",
"ef1a1cd8-de1a-4278-b393-56bc85ab4f78"
],
"destinationType": "sample string 13"
},
"person": {
"name": "sample string 1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"address": "sample string 4",
"postcode": "sample string 5",
"city": "sample string 6",
"country": "sample string 7",
"shortUnique": "sample string 8",
"email": "sample string 9",
"telephone": "sample string 10",
"inCampaign": "sample string 11",
"updatedFrom": "2026-11-07T02:24:22.141859+01:00",
"updatedTo": "2026-11-07T02:24:22.141859+01:00",
"lastBuyFrom": "2026-11-07T02:24:22.141859+01:00",
"lastBuyTo": "2026-11-07T02:24:22.141859+01:00",
"inActiveCampaign": true,
"recentlyBought": true,
"sortBy": "sample string 12",
"esecoCustomerNumber": "sample string 13",
"personalNumber": "sample string 14",
"products": {
"products": [
"9b852977-8a24-485f-9cbc-7ffdd6102f53",
"705e1037-9123-42d3-8500-f5cdf09b4751"
],
"not": true,
"from": "2026-11-07T02:24:22.141859+01:00",
"to": "2026-11-07T02:24:22.141859+01:00"
},
"campaigns": {
"campaigns": [
"6fbc4af4-eb2e-4de4-816c-7c69e70df76a",
"38666cf1-b074-4150-8675-c375302368ce"
],
"not": true,
"from": "2026-11-07T02:24:22.141859+01:00",
"to": "2026-11-07T02:24:22.141859+01:00"
},
"isStop": true,
"isDiseased": true,
"isFailedEmail": true,
"isFailedSms": true,
"searchOnlyPersons": true,
"tag": "sample string 15"
},
"skip": 1,
"take": 2,
"sortOrder": "sample string 3",
"isNotStopped": true,
"hasNoFailedTelephone": true,
"hasNoFailedEmail": true,
"orFilters": [
"b51fb15a-d446-42dd-9484-677e1444d2c0",
"3480b137-318e-4e75-b485-0d5a4e8e260f"
],
"products": [
"a708bc20-38b7-4cdd-8473-57da25b79680",
"54179cb7-d6b3-4cf7-afbc-6d1abecd9fa3"
],
"campaigns": [
"35c80217-6d9f-430a-b712-e5ff484f5d15",
"990510ce-93ea-4d0b-a51e-f69c7aec6978"
],
"notReceivedMarketingInDays": 7,
"notPutOrderInDays": 8
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.